from pylab import *

print("")
print("*******************************")
print("*  Diagramme de distribution  *")
print("******************Hatier 2020**")

print("")
print("Attention : le separateur decimal est le point")
print("")

pKa=float(input("pKa du couple : "))

Pb=[]
Pa=[]
pH=[]

for i in range(120):
	pH.append(1+i/10)
	Pa.append(100/(1+10**(pH[i]-pKa)))
	Pb.append(100-Pa[i])

### Ecriture des resultats
print("")

xlim(0,14)
ylim(-1,101)
plot(pH,Pa,"r",label="Espèce acide")
plot(pH,Pb,"b",label="Espèce basique")
xlabel("pH")
ylabel("Pourcentages")
legend()
grid(True)
show()
